Bug 714507

Summary: Review Request: perl-MooseX-Role-Matcher - Generic object matching based on attributes and methods
Product: [Fedora] Fedora Reporter: Andy Shevchenko <andy.shevchenko>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, herrold, mario.blaettermann, notting
Target Milestone: ---Flags: mario.blaettermann: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-MooseX-Role-Matcher-0.05-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-10 23:55:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 714511    

Description Andy Shevchenko 2011-06-19 19:32:29 UTC
Spec URL: http://andriy.fedorapeople.org/perl-MooseX-Role-Matcher.spec

SRPM URL: http://andriy.fedorapeople.org/perl-MooseX-Role-Matcher-0.05-1.sh14.src.rpm

Description:
This role adds flexible matching and searching capabilities to your Moose class. It provides a match method, which tests attributes and methods of your object against strings, regexes, or coderefs, and also provides several class methods for using match on lists of objects.

Comment 1 Mario Blättermann 2011-08-04 07:40:58 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3247485

$ rpmlint -i -v *rpm
perl-MooseX-Role-Matcher.noarch: I: checking
perl-MooseX-Role-Matcher.noarch: W: spelling-error %description -l en_US regexes -> regexps, reg exes, reg-exes
The value of this tag appears to be misspelled. Please double-check.

perl-MooseX-Role-Matcher.noarch: W: spelling-error %description -l en_US coderefs -> code refs, code-refs, recorders
The value of this tag appears to be misspelled. Please double-check.

perl-MooseX-Role-Matcher.noarch: I: checking-url http://search.cpan.org/dist/MooseX-Role-Matcher/ (timeout 10 seconds)
perl-MooseX-Role-Matcher.noarch: E: incorrect-fsf-address /usr/share/doc/perl-MooseX-Role-Matcher-0.05/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

perl-MooseX-Role-Matcher.src: I: checking
perl-MooseX-Role-Matcher.src: W: spelling-error %description -l en_US regexes -> regexps, reg exes, reg-exes
The value of this tag appears to be misspelled. Please double-check.

perl-MooseX-Role-Matcher.src: W: spelling-error %description -l en_US coderefs -> code refs, code-refs, recorders
The value of this tag appears to be misspelled. Please double-check.

perl-MooseX-Role-Matcher.src: I: checking-url http://search.cpan.org/dist/MooseX-Role-Matcher/ (timeout 10 seconds)
perl-MooseX-Role-Matcher.src: I: checking-url http://www.cpan.org/modules/by-module/MooseX/MooseX-Role-Matcher-0.05.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

No real spelling errors, the warnings could be ignored. For the wrong FSF address, you should inform upstream about this issue.

Full review follows immediately.

Comment 2 Mario Blättermann 2011-08-04 07:49:29 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    0c0a4a4da62984437fd4fd46b795fdf9  MooseX-Role-Matcher-0.05.tar.gz
    0c0a4a4da62984437fd4fd46b795fdf9  MooseX-Role-Matcher-0.05.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------

Comment 3 Andy Shevchenko 2011-08-13 13:02:31 UTC
New Package SCM Request
=======================
Package Name: perl-MooseX-Role-Matcher
Short Description: Generic object matching based on attributes and methods
Owners: andriy
Branches: f14 f15 f16
InitialCC:

Comment 4 Gwyn Ciesla 2011-08-13 14:35:58 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-08-13 20:53:19 UTC
perl-MooseX-Role-Matcher-0.05-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-MooseX-Role-Matcher-0.05-2.fc14

Comment 6 Fedora Update System 2011-08-13 20:54:09 UTC
perl-MooseX-Role-Matcher-0.05-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-MooseX-Role-Matcher-0.05-2.fc15

Comment 7 Fedora Update System 2011-08-17 00:53:36 UTC
perl-MooseX-Role-Matcher-0.05-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 8 Fedora Update System 2011-09-10 23:55:39 UTC
perl-MooseX-Role-Matcher-0.05-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-09-10 23:58:42 UTC
perl-MooseX-Role-Matcher-0.05-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 10 Fedora Update System 2011-09-12 18:52:15 UTC
perl-MooseX-Role-Matcher-0.05-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-MooseX-Role-Matcher-0.05-2.fc16

Comment 11 Fedora Update System 2011-09-30 18:31:20 UTC
perl-MooseX-Role-Matcher-0.05-2.fc16 has been pushed to the Fedora 16 stable repository.